Bug 116122 - clustonith -r doesn't work with APC PowerSwitch AP7920 and AP7921
Summary: clustonith -r doesn't work with APC PowerSwitch AP7920 and AP7921
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-18 13:47 UTC by Achim Lernhard
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 18:54:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file /etc/cluster.conf (2.27 KB, text/plain)
2004-02-18 13:53 UTC, Achim Lernhard
no flags Details

Description Achim Lernhard 2004-02-18 13:47:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a)
Gecko/20020610

Description of problem:
I have a two node (ls3152 and ls3154) cluster for a HA_NFS service
with a Powerswitch from APC (AP7920). I have choosen the APCMASTER as
Powerswitch by the cluster configuration. The AP7920 model is the
follower from the AP9212 model.
I want to test the PowerSwitch:

clustonith -S
APC MasterSwitch device ok

If I want to power cycle one host I get an error.

clustonith -r ls3154
Failed to power cycle host ls3154.

I have tested the same APCPLUS as Powerswitch by the cluster
configuration. But it also doesn't work.



Version-Release number of selected component (if applicable):
clumanager-1.0.25-1

How reproducible:
Always

Steps to Reproduce:
1.clustonith -r ls3154
2.
3.
    

Actual Results:  The choosen host doesn't go down.

Expected Results:  The choosen host does go down.

Additional info:

Comment 1 Achim Lernhard 2004-02-18 13:53:51 UTC
Created attachment 97786 [details]
file /etc/cluster.conf

This is my cluster config file.

Comment 2 Lon Hohberger 2004-02-18 14:34:22 UTC
The STONITH modules only support the AP9211, AP9212 and AP9225 (via
APCPLUS driver) on RHEL 2.1 and RHEL 3.

Changing to 'Feature Request'.

It's probably fairly easy to have the code to support the 7920.

Comment 8 Suzanne Hillman 2004-02-25 13:59:28 UTC
Internal RFE bug #116809 entered.

Comment 9 Achim Lernhard 2004-03-03 14:03:28 UTC
Can anyone tell me, where I can get a supported PowerSwitch? 
The PowerSwitches from APC mentioned in the cluster configuration 
documentation are out of date. 
 
Which Power Controllers are supported for RHEL 3?
I can't find information about this on the redhat websites and the 
documentations.
When will the AP7920 and AP7921 be certified?

kind regards
Achim Lernhard

Comment 10 Lon Hohberger 2004-03-04 14:56:39 UTC
RHEL3 supports the following power switches:

WTI RPS-10 (serial; 2 node only), TPS-2, IPS-15, NPS-115, NPS-230

BayTech RPC-3

APC MasterSwitch AP9211, AP9212, MasterSwitch plus AP9225

Comment 11 Lon Hohberger 2004-03-04 14:59:14 UTC
FYI, RHEL 2.1 supports all of the above except the WTI IPS-15.

Comment 12 Achim Lernhard 2004-03-05 07:53:34 UTC
I have clumanager-1.0.25-1 and kernel 2.4.9-e.24smp installed
on my systems.

Comment 13 Suzanne Hillman 2004-04-21 18:54:46 UTC
We don't have the hardware to implement this, and it is not a
reasonable change to make for an update release.

Comment 14 Lon Hohberger 2005-01-04 15:30:41 UTC
RHCS 3 U4 added support for the 7900 and there have been reports of
successful testing with a 7921


Note You need to log in before you can comment on or make changes to this bug.